Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 3709)
+++ /orxonox/trunk/src/Makefile.am	(revision 3710)
@@ -48,4 +48,5 @@
 		 world_entities/character_attributes.cc \
 		 world_entities/test_gun.cc \
+		 world_entities/test_bullet.cc \
 		 ai/ai.cc \
 		 lib/coord/p_node.cc \
@@ -98,4 +99,5 @@
 		 world_entities/character_attributes.h \
 		 world_entities/test_gun.h \
+		 world_entities/test_bullet.h \
 		 ai/ai.h \
 		 network/synchronisable.h \
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3709)
+++ /orxonox/trunk/src/Makefile.in	(revision 3710)
@@ -61,6 +61,6 @@
 	skysphere.$(OBJEXT) terrain.$(OBJEXT) weapon.$(OBJEXT) \
 	projectile.$(OBJEXT) character_attributes.$(OBJEXT) \
-	test_gun.$(OBJEXT) ai.$(OBJEXT) p_node.$(OBJEXT) \
-	null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
+	test_gun.$(OBJEXT) test_bullet.$(OBJEXT) ai.$(OBJEXT) \
+	p_node.$(OBJEXT) null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
 	data_tank.$(OBJEXT) graphics_engine.$(OBJEXT) light.$(OBJEXT) \
 	fontset.$(OBJEXT) array.$(OBJEXT) objModel.$(OBJEXT) \
@@ -99,5 +99,6 @@
 @AMDEP_TRUE@	./$(DEPDIR)/skysphere.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/story_entity.Po ./$(DEPDIR)/terrain.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/test_gun.Po ./$(DEPDIR)/texture.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/test_bullet.Po ./$(DEPDIR)/test_gun.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/texture.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/track_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/track_node.Po ./$(DEPDIR)/vector.Po \
@@ -254,4 +255,5 @@
 		 world_entities/character_attributes.cc \
 		 world_entities/test_gun.cc \
+		 world_entities/test_bullet.cc \
 		 ai/ai.cc \
 		 lib/coord/p_node.cc \
@@ -304,4 +306,5 @@
 		 world_entities/character_attributes.h \
 		 world_entities/test_gun.h \
+		 world_entities/test_bullet.h \
 		 ai/ai.h \
 		 network/synchronisable.h \
@@ -440,4 +443,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/story_entity.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/terrain.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bullet.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_gun.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/texture.Po@am__quote@
@@ -656,4 +660,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_gun.obj `if test -f 'world_entities/test_gun.cc'; then $(CYGPATH_W) 'world_entities/test_gun.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_gun.cc'; fi`
+
+test_bullet.o: world_entities/test_bullet.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_bullet.o -MD -MP -MF "$(DEPDIR)/test_bullet.Tpo" -c -o test_bullet.o `test -f 'world_entities/test_bullet.cc' || echo '$(srcdir)/'`world_entities/test_bullet.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_bullet.Tpo" "$(DEPDIR)/test_bullet.Po"; else rm -f "$(DEPDIR)/test_bullet.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/test_bullet.cc' object='test_bullet.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_bullet.Po' tmpdepfile='$(DEPDIR)/test_bullet.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_bullet.o `test -f 'world_entities/test_bullet.cc' || echo '$(srcdir)/'`world_entities/test_bullet.cc
+
+test_bullet.obj: world_entities/test_bullet.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_bullet.obj -MD -MP -MF "$(DEPDIR)/test_bullet.Tpo" -c -o test_bullet.obj `if test -f 'world_entities/test_bullet.cc'; then $(CYGPATH_W) 'world_entities/test_bullet.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_bullet.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_bullet.Tpo" "$(DEPDIR)/test_bullet.Po"; else rm -f "$(DEPDIR)/test_bullet.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/test_bullet.cc' object='test_bullet.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_bullet.Po' tmpdepfile='$(DEPDIR)/test_bullet.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_bullet.obj `if test -f 'world_entities/test_bullet.cc'; then $(CYGPATH_W) 'world_entities/test_bullet.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_bullet.cc'; fi`
 
 ai.o: ai/ai.cc
Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 3709)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 3710)
@@ -351,5 +351,5 @@
 	    tn->addChild(this->localCamera);
 	    //	    localCamera->lookAt(tn);
-	    this->localPlayer->setMode(PNODE_ROTATE_MOVEMENT);
+	    this->localPlayer->setMode(PNODE_ALL);
 	    //Vector* cameraOffset = new Vector (0, 5, -10);
 	    trackManager->condition(2, LEFTRIGHT, this->localPlayer);
Index: /orxonox/trunk/src/track_manager.cc
===================================================================
--- /orxonox/trunk/src/track_manager.cc	(revision 3709)
+++ /orxonox/trunk/src/track_manager.cc	(revision 3710)
@@ -868,5 +868,4 @@
 void TrackManager::drawGraph(float dt) const
 {
-
   for (int i = 1; i <= trackElemCount; i++)
     {
@@ -880,5 +879,5 @@
 	    glVertex3f(tmpVector.x, tmpVector.y, tmpVector.z);
 	  }
-  glEnd();
+      glEnd();
     }
 }
Index: /orxonox/trunk/src/world_entities/projectile.h
===================================================================
--- /orxonox/trunk/src/world_entities/projectile.h	(revision 3709)
+++ /orxonox/trunk/src/world_entities/projectile.h	(revision 3710)
@@ -2,4 +2,18 @@
     \projectile.h
     \brief a projectile, that is been shooted by a weapon
+
+    You can use this class to make some shoots, but this isn't the real idea. If you want to just test, if the
+    shooting funcions work, use the Projectile class. But if you want to implement your own shoots its 
+    different:<br>
+    Make a new class and derive it from Projectile. To have a weapon work well, reimplement the functions
+    - void tick()
+    - void draw()
+    - void hit() (only if you have working collision detection)
+    When you have implemented these functions you have just to add the projectiles to your weapon. You ll want 
+    to make this by looking into the function 
+    - Weapon::fire()
+    there you just change the line:
+    Projectile* pj = new Projectile();    TO     Projectile* pj = new MyOwnProjectileClass();
+    and schwups it works... :)
 */
 
@@ -30,5 +44,5 @@
   virtual void draw ();
 
- private:
+ protected:
   //physical attriutes like: force, speed, acceleration etc.
   float speed;                         //!< this is the speed of the projectile
Index: /orxonox/trunk/src/world_entities/test_bullet.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_bullet.cc	(revision 3709)
+++ /orxonox/trunk/src/world_entities/test_bullet.cc	(revision 3710)
@@ -31,5 +31,5 @@
    \brief standard constructor
 */
-TestBullet::TestBullet (Weapon* weapon) : WorldEntity()
+TestBullet::TestBullet (Weapon* weapon) : Projectile(weapon)
 {}
 
Index: /orxonox/trunk/src/world_entities/test_bullet.h
===================================================================
--- /orxonox/trunk/src/world_entities/test_bullet.h	(revision 3709)
+++ /orxonox/trunk/src/world_entities/test_bullet.h	(revision 3710)
@@ -7,5 +7,5 @@
 #define _TEST_BULLET_H
 
-#include "world_entity.h"
+#include "projectile.h"
 
 class Vector;
Index: /orxonox/trunk/src/world_entities/test_gun.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_gun.cc	(revision 3709)
+++ /orxonox/trunk/src/world_entities/test_gun.cc	(revision 3710)
@@ -26,5 +26,5 @@
 #include "world_entity.h"
 #include "model.h"
-#include "projectile.h"
+#include "test_bullet.h"
 
 #include "vector.h"
@@ -89,5 +89,5 @@
       return;
     }
-  Projectile* pj = new Projectile(this);
+  Projectile* pj = new TestBullet(this);
 
   pj->setAbsCoor(this->getAbsCoor());