Index: /data/trunk/models/buildings/alien_base.mtl
===================================================================
--- /data/trunk/models/buildings/alien_base.mtl	(revision 3711)
+++ /data/trunk/models/buildings/alien_base.mtl	(revision 3711)
@@ -0,0 +1,140 @@
+newmtl Material2
+illum 4
+Kd 0.80 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material4
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_003
+illum 4
+Kd 0.80 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_005
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_007
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.73 0.73 0.73
+Tf 1.00 1.00 1.00
+map_Kd hull46L.jpg
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
+newmtl lambert5SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd Concrete.Cast-In-Place.Ribbed.Vertical.1.jpg
+Ni 1.00
+newmtl lambert6SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.55 0.55 0.55
+Tf 1.00 1.00 1.00
+map_Kd hull01L.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert7SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd tech_wall_1.jpg
+Ni 1.00
+newmtl lambert8SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd joi_floor.jpg
+Ni 1.00
+newmtl lambert9SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd hull38L.jpg
+Ni 1.00
+newmtl lambert10SG
+illum 4
+Kd 1.00 0.02 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd green_alien_skin.jpg
+Ni 1.00
+newmtl lambert13SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert14SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert15SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert16SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
Index: /data/trunk/models/buildings/mp_arena.mtl
===================================================================
--- /data/trunk/models/buildings/mp_arena.mtl	(revision 3711)
+++ /data/trunk/models/buildings/mp_arena.mtl	(revision 3711)
@@ -0,0 +1,140 @@
+newmtl Material2
+illum 4
+Kd 0.80 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material4
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_003
+illum 4
+Kd 0.80 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_005
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_007
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.73 0.73 0.73
+Tf 1.00 1.00 1.00
+map_Kd hull46L.jpg
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
+newmtl lambert5SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd Concrete.Cast-In-Place.Ribbed.Vertical.1.jpg
+Ni 1.00
+newmtl lambert6SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.55 0.55 0.55
+Tf 1.00 1.00 1.00
+map_Kd hull01L.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert7SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd tech_wall_1.jpg
+Ni 1.00
+newmtl lambert8SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd joi_floor.jpg
+Ni 1.00
+newmtl lambert9SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd hull38L.jpg
+Ni 1.00
+newmtl lambert10SG
+illum 4
+Kd 1.00 0.02 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd green_alien_skin.jpg
+Ni 1.00
+newmtl lambert13SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert14SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert15SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert16SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
Index: /data/trunk/models/buildings/terran_base.mtl
===================================================================
--- /data/trunk/models/buildings/terran_base.mtl	(revision 3711)
+++ /data/trunk/models/buildings/terran_base.mtl	(revision 3711)
@@ -0,0 +1,140 @@
+newmtl Material2
+illum 4
+Kd 0.80 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material4
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_003
+illum 4
+Kd 0.80 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_005
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Material_007
+illum 4
+Kd 0.00 0.00 0.80
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 96.00
+newmtl Wing_Pads
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 0.06
+newmtl initialShadingGroup
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.73 0.73 0.73
+Tf 1.00 1.00 1.00
+map_Kd hull46L.jpg
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.00 0.00 0.00
+Ni 1.00
+newmtl lambert5SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.53 0.53 0.53
+Tf 1.00 1.00 1.00
+map_Kd Concrete.Cast-In-Place.Ribbed.Vertical.1.jpg
+Ni 1.00
+newmtl lambert6SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.55 0.55 0.55
+Tf 1.00 1.00 1.00
+map_Kd hull01L.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl lambert7SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd tech_wall_1.jpg
+Ni 1.00
+newmtl lambert8SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd joi_floor.jpg
+Ni 1.00
+newmtl lambert9SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd hull38L.jpg
+Ni 1.00
+newmtl lambert10SG
+illum 4
+Kd 1.00 0.02 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd green_alien_skin.jpg
+Ni 1.00
+newmtl lambert13SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert14SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert15SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
+newmtl lambert16SG
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 0.25 0.25 0.25
+Ni 1.00
Index: /data/trunk/models/environments/bluelogo.mtl
===================================================================
--- /data/trunk/models/environments/bluelogo.mtl	(revision 3711)
+++ /data/trunk/models/environments/bluelogo.mtl	(revision 3711)
@@ -0,0 +1,32 @@
+# Blender MTL File: bluelogo.blend
+# Material Count: 3
+newmtl Material.002
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.0 0.0 0.8
+Ks 0.5 0.5 0.5
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.0 0.0 0.8
+Ks 0.5 0.5 0.5
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material.001
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.0 0.0 0.8
+Ks 0.5 0.5 0.5
+Ni 1.0
+d 1.0
+illum 2
+
+
Index: /data/trunk/models/environments/redlogo.mtl
===================================================================
--- /data/trunk/models/environments/redlogo.mtl	(revision 3711)
+++ /data/trunk/models/environments/redlogo.mtl	(revision 3711)
@@ -0,0 +1,22 @@
+# Blender MTL File: redlogo.blend
+# Material Count: 2
+newmtl Material
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.0 0.0
+Ks 0.5 0.5 0.5
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material.001
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.000533 0.0
+Ks 0.5 0.5 0.5
+Ni 1.0
+d 1.0
+illum 2
+
+