Index: data/trunk/worlds/HeightPark.oxw
===================================================================
--- data/trunk/worlds/HeightPark.oxw	(revision 3704)
+++ data/trunk/worlds/HeightPark.oxw	(revision 3725)
@@ -16,174 +16,105 @@
     </ParamPowerUp>
 
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>330,50,0</abs-coor>
+<WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>5270,500,5250</abs-coor>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2665,400,2030</abs-coor>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2065,300,2030</abs-coor>
     </WeaponPowerUp>
 
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>600,800,850</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>650,800,900</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>700,800,950</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>750,800,1000</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>850,800,1050</abs-coor>
-   </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>925,800,1060</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>975,550,1100</abs-coor>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1025,800,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1075,580,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1125,560,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1175,670,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1225,570,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1250,550,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1325,600,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>975,750,1100</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>3040,50,0</abs-coor>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
 
 
-    <ParamPowerUp>
-      <abs-coor>550,650,800</abs-coor>
-    </ParamPowerUp>
-    <WeaponPowerUp>
-      <abs-coor>600,600,850</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <abs-coor>650,740,900</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>700,730,950</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>750,720,1000</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>850,600,1050</abs-coor>
-   </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>925,560,1060</abs-coor>
-    </WeaponPowerUp>
-    <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>975,450,1100</abs-coor>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1025,550,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1075,650,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1125,600,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1175,600,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1225,600,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1250,600,1100</abs-coor>
-    </WeaponPowerUp>
-  <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1325,600,1100</abs-coor>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1365,600,1130</abs-coor>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1405,600,1160</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1445,600,1190</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1505,600,1330</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1555,600,1200</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1570,600,1250</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1365,600,1130</abs-coor>
-    </WeaponPowerUp>
- <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1365,600,1130</abs-coor>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
 
   <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1405,600,1160</abs-coor>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,1000,2160</abs-coor>
     </WeaponPowerUp>
   <WeaponPowerUp>
-      <weaponID>Turret</weaponID>
-      <abs-coor>1445,600,1190</abs-coor>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,1000,2190</abs-coor>
     </WeaponPowerUp>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2405,600,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>2045,600,2190</abs-coor>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>3405,600,3160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>3045,600,3190</abs-coor>
+    </WeaponPowerUp>
+
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>4605,600,4160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>6245,600,4190</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>7605,600,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>8245,600,2190</abs-coor>
+    </WeaponPowerUp>
+ <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>4205,600,4160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>6445,600,4190</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>7805,600,2160</abs-coor>
+    </WeaponPowerUp>
+  <WeaponPowerUp>
+	  <weaponID>Turret</weaponID>
+      <abs-coor>8445,600,2190</abs-coor>
+    </WeaponPowerUp>
+
 
 
@@ -197,5 +128,5 @@
       <name>HardCore</name>
       <height-map>pictures/heightmapHello1.bmp,pictures/colourmap2.bmp</height-map>
-      <scale>40,10,40</scale>
+      <scale>35,15.7,35</scale>
       <texture>pictures/ground1.tga</texture>
       <abs-coor>0,0,0</abs-coor>
@@ -205,11 +136,12 @@
       <name>Player</name>
       <model>models/ships/reap_#.obj</model>
-      <abs-coor>500,800,800</abs-coor>
+          <abs-coor>10500,2000,6500</abs-coor>
     </SpaceShip>
 
    <SpaceShip>
       <model>models/ships/fighter.obj</model>
-      <abs-coor>550,600,800</abs-coor>
+          <abs-coor>7580,380,5100</abs-coor>
    </SpaceShip>
+
 
 