Index: /data/trunk/models/environments/bridge.mtl
===================================================================
--- /data/trunk/models/environments/bridge.mtl	(revision 3726)
+++ /data/trunk/models/environments/bridge.mtl	(revision 3726)
@@ -0,0 +1,80 @@
+newmtl Mat_2
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.00 0.00 0.00
+Ns 50.78
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl directionsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl directionsign_lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl endsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 0.80 0.80 0.80
+Ni 1.00
+newmtl lambert11SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd scratched_wall_1.jpg
+Ni 1.00
+newmtl phong1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.18 0.18 0.18
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 1.00 0.61 0.42
Index: /data/trunk/models/environments/desert.mtl
===================================================================
--- /data/trunk/models/environments/desert.mtl	(revision 3725)
+++ /data/trunk/models/environments/desert.mtl	(revision 3726)
@@ -34,5 +34,5 @@
 illum 4
 Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
 Tf 1.00 1.00 1.00
 map_Kd Autobahnschild.png
@@ -45,4 +45,11 @@
 map_Kd brsmet12.gif
 Ni 1.00
+newmtl endsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd endsign.png
+Ni 1.00
 newmtl initialShadingGroup
 illum 4
@@ -50,4 +57,25 @@
 Ka 0.00 0.00 0.00
 Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd absperrung.jpg
+Ni 1.00
+newmtl lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd helipad.png
+Ni 1.00
+newmtl lambert12SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+map_Kd scratched_wall_1.jpg
 Ni 1.00
 newmtl phong1SG
Index: /data/trunk/models/environments/desert_vegetation.mtl
===================================================================
--- /data/trunk/models/environments/desert_vegetation.mtl	(revision 3725)
+++ /data/trunk/models/environments/desert_vegetation.mtl	(revision 3726)
@@ -65,67 +65,4 @@
 map_Kd absperrung.jpg
 Ni 1.00
-newmtl lambert2SG1
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras01.tga
-Ni 1.00
-newmtl lambert3SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras02.tga
-Ni 1.00
-newmtl lambert4SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras02.tga
-Ni 1.00
-newmtl lambert5SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras01.tga
-Ni 1.00
-newmtl lambert6SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras01.tga
-Ni 1.00
-newmtl lambert7SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras03.tga
-Ni 1.00
-newmtl lambert8SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.40 0.40 0.40
-Tf 1.00 1.00 1.00
-map_Kd gras04.tga
-Ni 1.00
-newmtl lambert9SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras04.tga
-Ni 1.00
-newmtl lambert10SG
-illum 4
-Kd 0.00 0.00 0.00
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-map_Kd gras04.tga
-Ni 1.00
 newmtl phong1SG
 illum 4
Index: /data/trunk/models/environments/fence.mtl
===================================================================
--- /data/trunk/models/environments/fence.mtl	(revision 3726)
+++ /data/trunk/models/environments/fence.mtl	(revision 3726)
@@ -0,0 +1,65 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.56 0.56 0.56
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.44 0.44 0.44
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.43 0.43 0.43
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl directionsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl directionsign_lambert3SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl endsign_lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl lambert2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 1.00 1.00 1.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl phong1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.18 0.18 0.18
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 1.00 0.61 0.42
Index: /data/trunk/worlds/desert.oxw
===================================================================
--- /data/trunk/worlds/desert.oxw	(revision 3725)
+++ /data/trunk/worlds/desert.oxw	(revision 3726)
@@ -17,14 +17,21 @@
     </SkyBox>
 
-    <Hover>
+    <MD2Creature>
       <name>Player</name>
-      <abs-coor>437, 15, -1450</abs-coor>
-    </Hover>
+      <abs-coor>-1447.054,-19.661,-437.681</abs-coor>
+      <md2texture>droidika.png</md2texture>
+      <model>models/creatures/droidika.md2</model>
+    </MD2Creature>
+
+    <Helicopter>
+      <name>Player</name>
+      <abs-coor>-1566.308, -19.661, -482.388</abs-coor>
+    </Helicopter>
     
-
+    
     <SpaceShip>
       <name>Player2</name>
       <model>models/ships/reap_#.obj</model>
-      <abs-coor>516.226, -42.102, 128.827</abs-coor>
+      <abs-coor>128, -42.102, -516.226</abs-coor>
     </SpaceShip>
 
@@ -32,5 +39,5 @@
       <name>Player3</name>
       <model>models/ships/mantawing.obj</model>
-      <abs-coor>499.946, -42.102, 219.422</abs-coor>
+      <abs-coor>172, -42.102, -500</abs-coor>
     </SpaceShip>
 
@@ -38,5 +45,5 @@
       <name>Player4</name>
       <model>models/ships/warcruiser.obj</model>
-      <abs-coor>499.946, -42.102, 310.044</abs-coor>
+      <abs-coor>236 , -42.102, -499.946</abs-coor>
     </SpaceShip>
 
@@ -44,5 +51,5 @@
       <name>Player5</name>
       <model>models/ships/powerdrifter.obj</model>
-      <abs-coor>484.334, -42.102, 397.584</abs-coor>
+      <abs-coor>297 , -42.102, -485.334</abs-coor>
     </SpaceShip>
 
@@ -51,5 +58,5 @@
       <name>Player6</name>
       <model>models/ships/gobblin.obj</model>
-      <abs-coor>476.469, -42.102, 519.956</abs-coor>
+      <abs-coor>374, -42.102, -476.469</abs-coor>
     </SpaceShip>
 
@@ -57,10 +64,10 @@
       <name>Player7</name>
       <model>models/ships/fighter.obj</model>
-      <abs-coor>468, -42.102, 626</abs-coor>
+      <abs-coor>435 , -42.102, -468</abs-coor>
     </SpaceShip>
 
     <Hover>
       <name>Player8</name>
-      <abs-coor>467,-42.102, 799.848</abs-coor>
+      <abs-coor>487.848,-42.102, -467</abs-coor>
     </Hover>
 
@@ -68,7 +75,18 @@
       <name>Player9</name>
       <model>models/ships/reap_#.obj</model>
-      <abs-coor>480, -42.102, 958</abs-coor>
+      <abs-coor>565, -42.102, -480</abs-coor>
     </SpaceShip>
 
+    <SpaceShip>
+      <name>Player8</name>
+      <model>models/ships/mantawing.obj</model>
+      <abs-coor>662, -42, -480</abs-coor>
+    </SpaceShip>
+
+        <SpaceShip>
+      <name>Player9</name>
+      <model>models/ships/warcruiser.obj</model>
+      <abs-coor>797, -42, -480</abs-coor>
+    </SpaceShip>
 
 