Index: /orxonox/trunk/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- /orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 3728)
+++ /orxonox/trunk/src/glmenu/glmenu_imagescreen.cc	(revision 3729)
@@ -114,7 +114,5 @@
   glClear( GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
 
-
-  //PRINTF()();
-  printf("GLMenuImagEscreen::draw() - drawing step %i/%i\n", 
+  PRINTF(4)("GLMenuImagEscreen::draw() - drawing step %i/%i\n", 
 	 this->currentValue, this->maxValue);
 
Index: /orxonox/trunk/src/lib/coord/p_node.cc
===================================================================
--- /orxonox/trunk/src/lib/coord/p_node.cc	(revision 3728)
+++ /orxonox/trunk/src/lib/coord/p_node.cc	(revision 3729)
@@ -565,5 +565,4 @@
   this->time = dt;
   PRINTF(4)("PNode::update - %s - (%f, %f, %f)\n", this->objectName, this->absCoordinate->x, this->absCoordinate->y, this->absCoordinate->z);
-  // printf("%s", this->objectName);
   if(this->mode & PNODE_MOVEMENT )
     {
Index: /orxonox/trunk/src/simple_animation.cc
===================================================================
--- /orxonox/trunk/src/simple_animation.cc	(revision 3728)
+++ /orxonox/trunk/src/simple_animation.cc	(revision 3729)
@@ -19,6 +19,6 @@
 #include "simple_animation.h"
 #include "stdincl.h"
-#include "p_node.h"
 #include "vector.h"
+#include "world_entity.h"
 
 using namespace std;
@@ -51,4 +51,5 @@
 
    this->tmpVect = new Vector();
+   this->lastPosition = new Vector();
 }
 
@@ -78,5 +79,5 @@
    will be closed with AnimatiorEnd()
 */
-void SimpleAnimation::AnimatorBegin()
+void SimpleAnimation::animatorBegin()
 {
   this->bDescriptive = true;
@@ -90,5 +91,5 @@
    will be closed with AnimatiorEnd()
 */
-void SimpleAnimation::AnimatorEnd()
+void SimpleAnimation::animatorEnd()
 {
   this->workingObject = NULL;
@@ -111,8 +112,8 @@
    \brief adds a keyframe with properties
    \param the point of the object
-   \param and the orientation of it
+   \param and the direction of it
    \param at this time
 */
-void SimpleAnimation::addKeyFrame(Vector* point, Quaternion* orientation, float time)
+void SimpleAnimation::addKeyFrame(Vector* point, Quaternion* direction, float time)
 {
   if( !this->bDescriptive)
@@ -123,5 +124,5 @@
   KeyFrame* frame = new KeyFrame;
   frame->position = point;
-  frame->orientation = orientation;
+  frame->direction = direction;
   frame->time = time;
   frame->mode = DEFAULT_ANIMATION_MODE;
@@ -134,9 +135,9 @@
    \brief adds a keyframe with properties
    \param the point of the object
-   \param and the orientation of it
+   \param and the direction of it
    \param at this time
    \param function of the velocity of the movement 
 */
-void SimpleAnimation::addKeyFrame(Vector* point, Quaternion* orientation, float time, movementMode mode)
+void SimpleAnimation::addKeyFrame(Vector* point, Quaternion* direction, float time, movementMode mode)
 {
   if( !this->bDescriptive)
@@ -147,5 +148,5 @@
   KeyFrame* frame = new KeyFrame;
   frame->position = point;
-  frame->orientation = orientation;
+  frame->direction = direction;
   frame->time = time;
   frame->mode = mode;
@@ -259,8 +260,10 @@
   while( this->localTime > this->currentFrame->time)
     {
-      printf("SimpleAnimation::tick(...) - changing Frame");
+      printf("SimpleAnimation::tick(...) - changing Frame\n");
+      this->localTime -= this->currentFrame->time;
+
+      this->lastPosition = this->currentFrame->position;
       this->lastFrame = this->currentFrame;
       this->currentFrame = this->frames->nextElement(this->currentFrame);
-      this->localTime -= this->currentFrame->time;
     }
   
@@ -273,5 +276,6 @@
       *this->tmpVect = *this->currentFrame->position - *this->lastFrame->position;
       *this->tmpVect = *this->tmpVect * this->localTime / this->currentFrame->time;
-      //this->setAbsCoordinate(this->tmpVect);
+      this->currentFrame->object->shiftCoor(*this->tmpVect - *this->lastPosition);
+      *this->lastPosition = *this->tmpVect;
       break;
     case EXP:
Index: /orxonox/trunk/src/simple_animation.h
===================================================================
--- /orxonox/trunk/src/simple_animation.h	(revision 3728)
+++ /orxonox/trunk/src/simple_animation.h	(revision 3729)
@@ -25,9 +25,9 @@
 //! KeyFrame Struct
 /**
-   This represents one point with orientation of the animation
+   This represents one point with direction of the animation
 */
 typedef struct KeyFrame {
   Vector* position;
-  Quaternion* orientation;
+  Quaternion* direction;
   WorldEntity* object;
   float time;
@@ -45,9 +45,9 @@
   static SimpleAnimation* getInstance();
 
-  void AnimatorBegin();
-  void AnimatorEnd();
+  void animatorBegin();
+  void animatorEnd();
   void selectObject(WorldEntity* entity);
-  void addKeyFrame(Vector* point, Quaternion* orientation, float time);
-  void addKeyFrame(Vector* point, Quaternion* orientation, float time, movementMode mode);
+  void addKeyFrame(Vector* point, Quaternion* direction, float time);
+  void addKeyFrame(Vector* point, Quaternion* direction, float time, movementMode mode);
   void addKeyFrame(KeyFrame* frame);
   void reset();
@@ -71,4 +71,5 @@
   KeyFrame* currentFrame;          //<! the frame that is been played now
   KeyFrame* lastFrame;
+  Vector* lastPosition;
   movementMode mode;               //<! this is an enum of the mode, how the speed is distributed
   float localTime;
Index: /orxonox/trunk/src/story_entities/world.cc
===================================================================
--- /orxonox/trunk/src/story_entities/world.cc	(revision 3728)
+++ /orxonox/trunk/src/story_entities/world.cc	(revision 3729)
@@ -35,4 +35,5 @@
 #include "track_manager.h"
 #include "garbage_collector.h"
+#include "simple_animation.h"
 
 #include "command_node.h"
@@ -155,4 +156,7 @@
   delete this->lightMan;
   delete this->trackManager;
+
+  //delete garbagecollecor
+  //delete animator
 }
 
@@ -188,4 +192,5 @@
   wi->init(this);
   this->garbageCollector = GarbageCollector::getInstance();
+  this->simpleAnimation = SimpleAnimation::getInstance();
 }
 
@@ -394,4 +399,6 @@
 	case DEBUG_WORLD_2:
 	  {
+	    lightMan->setAmbientColor(.1,.1,.1);
+	    lightMan->addLight();
 	    lightMan->setPosition(-5.0, 10.0, -40.0);
 	    this->nullParent = NullParent::getInstance ();
@@ -434,10 +441,43 @@
 	    this->glmis->step();
 
-	    
-	    WorldEntity* env = new Environment();
-	    env->setName ("env");
-	    this->spawn(env);
-
+
+	    WorldEntity* a = new Environment();
+	    this->spawn(a, new Vector(200.0, -35.0, 5.0), new Quaternion());
+
+	    WorldEntity* b = new Environment();
+	    this->localPlayer->addChild(b);
+	    b->setRelCoor(new Vector(10.0, 0.0, 0.0));
+	    this->spawn(b);
 	   
+	    this->simpleAnimation = SimpleAnimation::getInstance();
+
+	    /*
+	      frame->position = point;
+	      frame->orientation = orientation;
+	      frame->time = time;
+	      frame->mode = DEFAULT_ANIMATION_MODE;
+	    */
+
+	    KeyFrame* f1 = new KeyFrame;
+	    f1->position = new Vector(10.0, 1.0, 1.0);
+	    f1->direction = new Quaternion();
+	    f1->time = 1.0;
+	    f1->mode = LINEAR;
+
+
+	    KeyFrame* f2 = new KeyFrame;
+	    f2->position = new Vector(10.0, 1.0, -1.0);
+	    f2->direction = new Quaternion();
+	    f2->time = 1.0;
+	    f2->mode = LINEAR;
+
+	    this->simpleAnimation->animatorBegin();
+	    this->simpleAnimation->selectObject(b);
+	    this->simpleAnimation->addKeyFrame(f1);
+	    this->simpleAnimation->addKeyFrame(f2);
+	    this->simpleAnimation->animatorEnd();
+
+	    this->simpleAnimation->start();
+
 	    /*
 	    Vector* es = new Vector (10, 5, 0);
@@ -850,4 +890,5 @@
       this->localCamera->tick(this->dt);
       this->garbageCollector->tick(seconds);
+      this->simpleAnimation->tick(seconds);
     }
   this->lastFrame = currentFrame;
Index: /orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- /orxonox/trunk/src/world_entities/environment.cc	(revision 3728)
+++ /orxonox/trunk/src/world_entities/environment.cc	(revision 3729)
@@ -29,5 +29,5 @@
 Environment::Environment () : WorldEntity()
 {
-  this->model = (Model*) ResourceManager::getInstance()->load("models/reaplow.obj", OBJ);
+  this->model = (Model*) ResourceManager::getInstance()->load("sphere", RP_LEVEL);
   //  this->model = new OBJModel("../data/models/fighter.obj");
 }