Index: orxonox/trunk/src/simple_animation.cc
===================================================================
--- orxonox/trunk/src/simple_animation.cc	(revision 3738)
+++ orxonox/trunk/src/simple_animation.cc	(revision 3739)
@@ -101,4 +101,14 @@
 
 
+/*
+  Vector* lastPosition;
+  Vector* tmpVect;
+  tList<KeyFrame>* frames;
+  animationMode animMode;
+  movementMode movMode;
+  bool bRunning;
+  float deltaT;
+*/
+
 /**
    \brief select an object to work on by using this function
@@ -107,5 +117,18 @@
 void SimpleAnimation::selectObject(WorldEntity* entity)
 {
-  this->workingObject = entity;
+  Animation* anim = getAnimationFromWorldEntity(entity);
+  if( anim == NULL)
+    {
+      printf("SimpleAnimation::selectObject() - object not found, creating one\n");
+      anim = new Animation;
+      anim->object = entity;
+      anim->lastPosition = new Vector();
+      anim->tmpVect = new Vector();
+      frames = new tList<KeyFrame>();
+      bRunning = false;
+      deltaT = 0.0;
+      this->animators->add(anim);
+    }
+  this->workingAnimator = anim;
 }
 
@@ -323,2 +346,18 @@
   delete anim;
 }
+
+
+
+Animation* SimpleAnimation::getAnimationFromWorldEntity(WorldEntity* entity)
+{
+  tIterator<Animation>* iterator = this->animators->getIterator();
+  Animation* anim = iterator->nextElement();
+  while( anim != NULL)
+    {
+      if( anim->object == entity)
+	return anim;
+      anim = iterator->nextElement();
+    }
+  delete iterator;
+  return NULL;
+}
Index: orxonox/trunk/src/simple_animation.h
===================================================================
--- orxonox/trunk/src/simple_animation.h	(revision 3738)
+++ orxonox/trunk/src/simple_animation.h	(revision 3739)
@@ -98,6 +98,8 @@
   Vector* tmpVect;                 //<! this is the temporary vector save place - 
   WorldEntity* workingObject;      //<! this is a pointer to the current working object that has been selected via selectObject()
-  Animator* workingAnimator;       //<! the animator with which you are currently working
+  Animation* workingAnimator;       //<! the animator with which you are currently working
   float deltaT;                    //<! this is a time constant for the movement
+
+  Animation* getAnimationFromWorldEntity(WorldEntity* entity);
 
 };
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 3738)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 3739)
@@ -472,20 +472,20 @@
 
 	    KeyFrame* f1 = new KeyFrame;
-	    f1->position = new Vector(20.0, 1.0, -1.0);
+	    f1->position = new Vector(-1.1, 0.0, 2.6);
 	    f1->direction = new Quaternion();
-	    f1->time = 0.3;
+	    f1->time = 1.0;
 	    f1->mode = NEG_EXP;
 
 
 	    KeyFrame* f2 = new KeyFrame;
-	    f2->position = new Vector(10.0, 1.0, 5.0);
+	    f2->position = new Vector(-2.1, 0.0, 2.6);
 	    f2->direction = new Quaternion();
-	    f2->time = 0.5;
+	    f2->time = 0.1;
 	    f2->mode = NEG_EXP;
 
 	    KeyFrame* f3 = new KeyFrame;
-	    f3->position = new Vector(5.0, 2.0, -1.0);
+	    f3->position = new Vector(-1.1, 0.0, 2.6);
 	    f3->direction = new Quaternion();
-	    f3->time = 0.5;
+	    f3->time = 0.2;
 	    f3->mode = NEG_EXP;
 
@@ -495,5 +495,5 @@
 	    this->simpleAnimation->addKeyFrame(f1);
 	    this->simpleAnimation->addKeyFrame(f2);
-	    this->simpleAnimation->addKeyFrame(f3);
+	    //this->simpleAnimation->addKeyFrame(f3);
 	    //this->simpleAnimation->addKeyFrame(f2);
 	    this->simpleAnimation->animatorEnd();
Index: orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- orxonox/trunk/src/world_entities/environment.cc	(revision 3738)
+++ orxonox/trunk/src/world_entities/environment.cc	(revision 3739)
@@ -29,5 +29,5 @@
 Environment::Environment () : WorldEntity()
 {
-  this->model = (Model*) ResourceManager::getInstance()->load("sphere", RP_LEVEL);
+  this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
   //  this->model = new OBJModel("../data/models/fighter.obj");
 }